Skip to main content
PUT
CLI

Authorizations

Authorization
string
header
required

API Key in Bearer format (e.g., Bearer sk_test_...)

Headers

X-API-Key
string

API key

Path Parameters

id
string
required

Customer ID

Body

application/json
status
enum<string>
required

The verification status to set for the customer

Available options:
DRAFT,
IN_REVIEW,
NEED_ACTIONS,
REJECTED,
ACTIVE,
INACTIVE,
SUSPENDED
Example:

"ACTIVE"

Response

Customer status updated successfully

id
string
required

Customer ID

customerName
string
required

Customer name

organizationId
string
required

Organization ID

type
enum<string>
required

Customer type

Available options:
INDIVIDUAL,
BUSINESS
status
enum<string>
required

Customer status

Available options:
DRAFT,
IN_REVIEW,
NEED_ACTIONS,
REJECTED,
ACTIVE,
INACTIVE,
SUSPENDED
createdAt
string<date-time>
required

Customer creation date

Example:

"2026-01-15T10:00:00Z"

updatedAt
string<date-time>
required

Customer last update date

Example:

"2026-01-15T10:00:00Z"

email
string

Customer email address

countryCode
enum<string>

Country code (ISO 3166-2)

Available options:
AD,
AE,
AF,
AG,
AI,
AL,
AM,
AO,
AR,
AS,
AT,
AU,
AW,
AZ,
BA,
BB,
BD,
BE,
BF,
BG,
BH,
BI,
BJ,
BL,
BM,
BN,
BO,
BR,
BS,
BT,
BW,
BY,
BZ,
CA,
CC,
CD,
CF,
CG,
CH,
CI,
CK,
CL,
CM,
CN,
CO,
CR,
CU,
CV,
CW,
CX,
CY,
CZ,
DE,
DJ,
DK,
DM,
DO,
DZ,
EC,
EE,
EG,
EH,
ER,
ES,
ET,
EU,
FI,
FJ,
FK,
FM,
FO,
FR,
GA,
GB,
GD,
GE,
GH,
GI,
GL,
GM,
GN,
GP,
GQ,
GR,
GS,
GT,
GU,
GW,
GY,
HK,
HN,
HR,
HT,
HU,
ID,
IE,
IL,
IM,
IN,
IQ,
IR,
IS,
IT,
JE,
JM,
JO,
JP,
KE,
KG,
KH,
KI,
KM,
KN,
KP,
KR,
KW,
KY,
KZ,
LA,
LB,
LC,
LI,
LK,
LR,
LS,
LT,
LU,
LV,
LY,
MA,
MC,
MD,
ME,
MF,
MG,
MH,
MK,
ML,
MM,
MN,
MO,
MP,
MQ,
MR,
MS,
MT,
MU,
MV,
MW,
MX,
MY,
MZ,
NA,
NC,
NE,
NF,
NG,
NI,
NL,
NO,
NP,
NR,
NU,
NZ,
OM,
PA,
PE,
PF,
PG,
PH,
PK,
PL,
PM,
PN,
PR,
PS,
PT,
PW,
PY,
QA,
RE,
RO,
RS,
RU,
RW,
SA,
SB,
SC,
SD,
SE,
SG,
SH,
SI,
SJ,
SK,
SL,
SM,
SN,
SO,
SR,
SS,
ST,
SV,
SY,
SZ,
TC,
TD,
TG,
TH,
TJ,
TK,
TL,
TM,
TN,
TO,
TR,
TT,
TV,
TW,
TZ,
UA,
UG,
UM,
US,
UY,
UZ,
VA,
VC,
VE,
VG,
VI,
VN,
VU,
WF,
WS,
YE,
YT,
ZA,
ZM,
ZW
imageUrl
string

Customer image URL

requestedCapabilities
enum<string>[] | null

Capabilities requested by the customer

Available options:
USD_ACH_PAYIN,
USD_ACH_PAYOUT,
USD_WIRE_PAYIN,
USD_WIRE_PAYOUT,
USD_BALANCE,
USD_YIELD,
SWIFT_PAYIN,
SWIFT_PAYOUT,
STABLECOIN_PAYIN,
STABLECOIN_PAYOUT,
STABLECOIN_SWAPS,
AED_FX_PAYOUT,
AUD_FX_PAYOUT,
BHD_FX_PAYOUT,
BOB_FX_PAYOUT,
BRL_FX_PAYOUT,
CLP_FX_PAYOUT,
CNY_FX_PAYOUT,
COP_FX_PAYOUT,
DOP_FX_PAYOUT,
EGP_FX_PAYOUT,
EUR_FX_PAYOUT,
GBP_FX_PAYOUT,
HKD_FX_PAYOUT,
IDR_FX_PAYOUT,
INR_FX_PAYOUT,
JPY_FX_PAYOUT,
KRW_FX_PAYOUT,
KWD_FX_PAYOUT,
MXN_FX_PAYOUT,
MYR_FX_PAYOUT,
PEN_FX_PAYOUT,
PHP_FX_PAYOUT,
PYG_FX_PAYOUT,
QAR_FX_PAYOUT,
SAR_FX_PAYOUT,
SGD_FX_PAYOUT,
THB_FX_PAYOUT,
TRY_FX_PAYOUT,
TWD_FX_PAYOUT,
USD_FX_PAYOUT,
VND_FX_PAYOUT
capabilities
object[]

Computed capability statuses. Included on list responses. READY only when the customer is ACTIVE.

customerDetails
object

Customer details with transliteration support.

For INDIVIDUAL customers:

  • firstName, lastName, middleName
  • transliteratedFirstName, transliteratedMiddleName, transliteratedLastName
  • dateOfBirth, phone, occupation, sourceOfIncome

For BUSINESS customers:

  • businessName, tradeName, businessType, taxIdentificationNumber
  • website, industry, email, phone

Verification and EDD-specific fields are submitted separately through the verification endpoints.

associatedEntities
object[]

Associated entities (beneficial owners and control persons) for business customers.

addresses
object[]

Customer addresses.

Each address must include addressLine1, city, postalCode, and country.

missingRequirements
object[]

Merged list of missing fields and documents required for full verification. Only populated when customer data is incomplete.

Example:
accounts
array[]

Customer accounts (only included when expand=accounts). Returns all accounts for this customer.

documents
object[]

Customer documents (only included when expand=documents). Returns all documents for this customer.

treasury
object

Treasury balances (only included when expand=treasury). Returns treasury wallet balances grouped by treasury.

verificationSessions
object[]

Verification sessions (only included when expand=verificationSessions). Returns verification session summaries.